Page MenuHomePhabricator

Tool Maintainers badly overcounted
Closed, ResolvedPublic

Description

8727 is the count of all posixAccounts under ou=people,dc=wikimedia,dc=org, not the count of members of cn=project-tools,ou=groups,dc=wikimedia,dc=org

Event Timeline

bd808 created this task.Aug 26 2016, 10:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2016, 10:15 PM

The number of tool maintainers should be just below 1000 at the moment; the number of tools seems to match up roughly (not sure where the extra 13 directories come from, though).

valhallasw@tools-bastion-03:/home$ ls | wc -l
967
valhallasw@tools-bastion-03:/data/project$ ls | wc -l
1511

However, @Krenair measured more tool maintainers:

krenair@bastion-01:~$ ldapsearch -x cn=tools | grep member: -c
1063

which might mean we have almost a hundred users that never got so far to actually log in?

bd808 moved this task from Backlog to Ready on the Striker board.Aug 29 2016, 2:37 AM
bd808 triaged this task as High priority.Aug 31 2016, 12:21 AM
bd808 added a comment.Sep 1 2016, 5:06 AM

And a third number:

tools-bastion-02.tools:~
bd808$ ldapsearch -LLL -x cn=project-tools|grep 'member: '|wc -l
1225

I guess the next mystery to solve here is which of cn=project-tools,ou=groups,dc=wikimedia,dc=org and cn=tools,ou=projects,dc=wikimedia,dc=org is the actual membership roster of the tools project.

And a third number:

tools-bastion-02.tools:~
bd808$ ldapsearch -LLL -x cn=project-tools|grep 'member: '|wc -l
1225

I guess the next mystery to solve here is which of cn=project-tools,ou=groups,dc=wikimedia,dc=org and cn=tools,ou=projects,dc=wikimedia,dc=org is the actual membership roster of the tools project.

I think it's the former, see T138150

bd808 added a comment.Sep 1 2016, 3:36 PM

I think it's the former, see T138150

cn=project-tools,ou=groups,dc=wikimedia,dc=org is the one I had picked at some point during Striker development as well. I of course didn't make any notes about why I chose that one. I'll be documenting the LDAP layout as maintained by OpenStackManager soon as I start figuring out how account creation works.

Change 307960 had a related patch set uploaded (by BryanDavis):
Count members of tools project, not all posix users

https://gerrit.wikimedia.org/r/307960

I'll be documenting the LDAP layout as maintained by OpenStackManager soon as I start figuring out how account creation works.

Great, that'd be T138151 :)

Change 307960 merged by jenkins-bot:
Count members of tools project, not all posix users

https://gerrit.wikimedia.org/r/307960

bd808 closed this task as Resolved.Sep 1 2016, 5:11 PM
bd808 claimed this task.

https://toolsadmin.wikimedia.org/ is now reporting 1225 maintainers which matches the output of ldapsearch -LLL -x cn=project-tools|grep 'member: '|wc -l

Restricted Application added a project: User-bd808. · View Herald TranscriptSep 1 2016, 5:11 PM

Mentioned in SAL [2016-09-01T17:12:09Z] <bd808> Updated striker to ac555bd; fixes T144064

bd808 moved this task from To Do to Done on the User-bd808 board.Sep 1 2016, 5:13 PM
bd808 moved this task from Ready to Doing on the Striker board.Sep 6 2016, 4:09 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Oct 17 2016, 3:25 PM
bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:54 AM